#
# spec file for package epymc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           epymc
Version:        1.2.0
Release:        lp150.1.25
Summary:        A Media Center designed to run on a large number of devices
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Players
Url:            https://github.com/DaveMDS/epymc
Source0:        v%{version}.tar.gz
Patch0:         fix-desktop-file.patch
BuildArch:      noarch
BuildRequires:  efl-devel
BuildRequires:  intltool
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-efl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
%endif
Requires:       python3-efl
ExcludeArch:    %ix86

%description

EpyMC is a Media Center application written in python that use the Enlightenment Foundation Library as
the living base. 

%lang_package

%prep
%setup -q -n  %{name}-%{version}
%patch0 -p1

%build
python3 setup.py build

%install
python3 setup.py install --root "%{buildroot}"
%if 0%{?suse_version}
%fdupes %{buildroot}/%{_datadir}
%suse_update_desktop_file epymc "Video;Player"
%endif
%find_lang %{name}

%files
%defattr(-,root,root,-)
%doc README.md COPYING TODO
%doc README.md COPYING TODO
%{_bindir}/epymc
%{_bindir}/epymc_standalone
%{_bindir}/epymc_thumbnailer
%{_bindir}/epymc_watchdog

%{python3_sitelib}/epymc*
%exclude %{python3_sitelib}/epymc/locale/*/LC_MESSAGES/epymc.mo
%{python3_sitelib}/EpyMC*
%{_datadir}/icons/*
%{_datadir}/applications/epymc.desktop
%{_datadir}/xsessions/epymc_xsession.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Fri Jul  7 2017 sflees@suse.de
- exclude ix86 builds as python3-efl runs out of memory during build
* Wed Sep 28 2016 sflees@suse.de
- %%lang_package is now not in description
* Sun Sep 18 2016 sflees@suse.de
- Add fix-desktop-file.patch
* Sun Sep 18 2016 sflees@suse.de
- 1.2.0 Release
  New features:
  * New Photo module
  * New PosterGrid/CoverGrid views
  * New South Park Studios online video channel
  * New themoviedb.org online video channel (with movie trailers)
  * Added a new secret online channel
  * Virtual keyboard is now also usable with the real keyboard
  * Virtual keyboard now support multiple layouts
  * Show the status of the downloads in progress (with ability to
  start/abort)
  * Thumbnailing ability, using a custom Ethumb slave process
  * Automatically (and manually) download and update youtube-dl
  * New Watchdog module (sadly gstreamer1 sometimes hang the mainloop for me)
  * Cache to file remote images for faster reloading
  * Support remote urls also in the mediaplayer cover image
  * Show current folders in the file-manager
  * Option to hide the mouse cursor when not needed (not move or video
  playing)
  * Support for subtitles embedded in the video files
  * New check_po setup command, give translations stats with a nice bar
  Improvements:
  * Initial music library scan is now 10 times faster (measured with the
  library
  and the config folder on the same slow HDD) see Issue #2 for more info.
  * Lots of improvements in the Music module and the AudioPlayer itself:
  playlist is now visible and browsable, player/playlist controls are
  always
  reachable in the UI, ability to set loop and shuffle.
  * Better zapiks video schannel
  New Translations:
  * Finnish
  Changes:
  * Dropped python 2 support, you MUST use python 3 from now on
  * Removed broken traileraddict channel (use the new tmdb instead)
  * Use elm focus in place of the custom EmcFocusManager
  * We now use ecore_con.Url for fetching data from the net (instead of
  ecore.file_download + file read + file delete)
  Bug fixed:
  * Fixed poster hiding (and console errors) for efl >= 1.16
  * Fixed posters for the vimeo channel
  * Fixed tmdb language selector in config
  * Fixed (hopefully) subs decoding
  * Fixed video download to work again
  * Fixed a bug that was causing fileman buttons to be clickable also when
  hidden
  * Removed usage of elm deprecated ObjectItem.data_get() function
  * Removed edc warning about "fixed: 1 1"
  * Fixed compatibility with python 3.5 (os.path.exists no more accept
  unicode)
  * Updated yt scraper to latest web changes
* Wed Feb  3 2016 sleep_walker@opensuse.org
- use python3 sitelib
* Sat Oct 24 2015 sleep_walker@opensuse.org
- require python-efl for run
* Fri Aug 21 2015 simon@simotek.net
- add COPYING README.md TODO to package
* Fri Aug 21 2015 cfarrell@suse.com
- license update: GPL-3.0+
  No indication of GPL-3.0 (only) files in the package
* Sat Aug 15 2015 simon@simotek.net
- Update to 1.1.0.1 - With updated youtube plugin
